#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xff693c51, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x5418bfc2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x8b9bdc33, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfd8f256, "vmemmap" },
	{ 0xab95ca68, "pci_cfg_access_unlock" },
	{ 0x7673ab03, "pci_enable_device" },
	{ 0x609809eb, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7908a326, "pci_alloc_irq_vectors" },
	{ 0xe93c04c7, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x47720fac, "dma_unmap_page_attrs" },
	{ 0xc83cb95, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xfa00e984, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x413bb97a, "page_pool_destroy" },
	{ 0x6e16317, "pci_irq_vector" },
	{ 0x86129dba, "__netif_napi_del" },
	{ 0xcb891f26, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0x2db539be, "pci_unregister_driver" },
	{ 0x920945e0, "pci_cfg_access_lock" },
	{ 0x5f240d7d, "mlxsw_core_bus_device_register" },
	{ 0xeeecf1e, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x41819807, "dma_map_page_attrs" },
	{ 0xf4519da5, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x14c505a1, "__napi_schedule" },
	{ 0x5a536020, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4f61e6cf, "__pci_reset_function_locked" },
	{ 0x64bfa599, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0xed04955e, "dma_alloc_attrs" },
	{ 0xcd9d2dae, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa6f62c8b, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x99c93a4e, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x762fd909, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7d07e81d, "pci_restore_state" },
	{ 0x671cf170, "page_pool_create" },
	{ 0x68776726, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x926164e7, "pci_set_master" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xc06c8b02, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xf9014c66, "alloc_netdev_dummy" },
	{ 0x6c87d8e1, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2e92faee, "pci_release_regions" },
	{ 0x5f4fd0e2, "page_pool_alloc_pages" },
	{ 0xec6580ca, "napi_build_skb" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca4dbdb4, "pci_disable_device" },
	{ 0x70f3059e, "dma_set_mask" },
	{ 0x2eea0e86, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6811f69b, "napi_schedule_prep" },
	{ 0x1aa2224d, "napi_consume_skb" },
	{ 0x467fbedc, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x8fc23a8e, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "2854F51018B20C8324A28EA");
MODULE_INFO(rhelversion, "10.0");
