#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0xe0971504, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe82b4bd, "metadata_dst_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf07279a3, "dst_release" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef13124, "metadata_dst_free" },
	{ 0x12884e48, "skb_scrub_packet" },
	{ 0x12110cc2, "pskb_expand_head" },
	{ 0x3cc70c65, "iptunnel_handle_offloads" },
	{ 0xab435ac, "eth_gro_complete" },
	{ 0x68577136, "gro_find_complete_by_type" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9caaed43, "udp_sock_create4" },
	{ 0xfefaa452, "udp_sock_create6" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe798236d, "jiffies" },
	{ 0x94da3806, "register_netdevice" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x56fc25e8, "unregister_netdevice_queue" },
	{ 0x88c2e6e5, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe7a9ef6d, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x10a3259e, "unregister_pernet_subsys" },
	{ 0x78a5f996, "udp_tunnel_push_rx_port" },
	{ 0x10db6ed6, "udp_tunnel_drop_rx_port" },
	{ 0xed384e8a, "rtnl_link_unregister" },
	{ 0x6ffd4d45, "rt6_lookup" },
	{ 0x10fadbca, "ip_route_output_flow" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb14c9ea3, "udp_tunnel_notify_del_rx_port" },
	{ 0x9f6ac8d0, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc4dd853, "gro_cells_init" },
	{ 0x1496c35b, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd9a8db98, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x6311ecdf, "udp_tunnel_notify_add_rx_port" },
	{ 0x88b80630, "setup_udp_tunnel_sock" },
	{ 0x37a0cba, "kfree" },
	{ 0x80093559, "rtnl_create_link" },
	{ 0x3fd84f1b, "rtnl_configure_link" },
	{ 0xa6f62c8b, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa5b8246b, "eth_gro_receive" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa30ede61, "gro_find_receive_by_type" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7d7548f6, "skb_copy_bits" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x85fb5bf2, "udp_tun_rx_dst" },
	{ 0x892f854f, "gro_cells_receive" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0x3167ba11, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf1ef60d, "__iptunnel_pull_header" },
	{ 0x95b636f9, "udp_tunnel_dst_lookup" },
	{ 0xff46dc40, "skb_tunnel_check_pmtu" },
	{ 0x616afb15, "__netif_rx" },
	{ 0x36c7126b, "__skb_get_hash_net" },
	{ 0x4c16b8cb, "udp_tunnel_xmit_skb" },
	{ 0x6283b2f6, "udp_tunnel6_dst_lookup" },
	{ 0xb4914e40, "udp_tunnel6_xmit_skb" },
	{ 0xb843ab15, "ip6_dst_hoplimit" },
	{ 0x24d51000, "consume_skb" },
	{ 0xbce90e53, "__dynamic_netdev_dbg" },
	{ 0xba143956, "eth_mac_addr" },
	{ 0x6e7cc482, "eth_validate_addr" },
	{ 0x7e87c58a, "ethtool_op_get_link" },
	{ 0x9f0980e3, "param_ops_bool" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6A2CE98A9E9037E1D42782C");
MODULE_INFO(rhelversion, "10.0");
