#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xa02ec8f1, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x87a80c82, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xa65c67d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe7a9ef6d, "rtnl_link_register" },
	{ 0x79eda707, "genl_register_family" },
	{ 0xed384e8a, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xed8164cb, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xbd0359a0, "crypto_alloc_aead" },
	{ 0x11ffb357, "crypto_aead_setkey" },
	{ 0x1fe55cc0, "crypto_aead_setauthsize" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x788021c0, "skb_pull" },
	{ 0x4408e1ca, "___pskb_trim" },
	{ 0x1496c35b, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xbabbe59a, "dev_mc_sync" },
	{ 0xe50d8c4d, "dev_uc_sync" },
	{ 0x9624a00a, "dev_set_allmulti" },
	{ 0xce54ecd4, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3ceea960, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9cbed3cb, "__dev_get_by_index" },
	{ 0x8e56d89, "skb_clone" },
	{ 0x616afb15, "__netif_rx" },
	{ 0xc648d691, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0x94da3806, "register_netdevice" },
	{ 0xd56ad2c7, "netdev_upper_dev_link" },
	{ 0x2fa03493, "netdev_upper_dev_unlink" },
	{ 0x56fc25e8, "unregister_netdevice_queue" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe82b4bd, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc69a20e7, "netif_stacked_transfer_operstate" },
	{ 0xf97fd242, "linkwatch_fire_event" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xd38c0dc3, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2ef13124, "metadata_dst_free" },
	{ 0xfc4dd853, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9a8db98, "dev_addr_mod" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x93aa3da5, "__dev_queue_xmit" },
	{ 0x3167ba11, "eth_type_trans" },
	{ 0x892f854f, "gro_cells_receive" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x523ea9c2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x80b8fd2a, "skb_to_sgvec" },
	{ 0x7e24a601, "skb_copy" },
	{ 0x24d51000, "consume_skb" },
	{ 0xf1a04b5a, "crypto_aead_decrypt" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc2df41c2, "netdev_rx_handler_unregister" },
	{ 0x6131e450, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x932b0503, "netif_carrier_off" },
	{ 0x3cb27e35, "dev_mc_unsync" },
	{ 0xc6a5aba7, "dev_uc_unsync" },
	{ 0x5abce849, "dev_uc_del" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x3f772118, "dev_uc_add" },
	{ 0xf8479ed4, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x609809eb, "skb_put" },
	{ 0xfb3cee0, "crypto_aead_encrypt" },
	{ 0x27f68e34, "skb_copy_expand" },
	{ 0xf07279a3, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe4dd6609, "genlmsg_put" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA861098EE388E48C88F6C0");
MODULE_INFO(rhelversion, "10.0");
