#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xf092f856, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xfd965490, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x251fc1ba, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x72f18526, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xf56674c8, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x7303d0b2, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x6afa6e7a, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xa22fda92, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xea2fa7f7, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x488e9a19, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x549a6da9, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x15565152, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x79759714, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xedacdb4c, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x0472b279, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x919b2351, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x493aea31, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xb571dc6a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x9cf14866, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xb876d7a4, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x64a527b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1cfb3985, "mdiobus_write" },
	{ 0x7fdef93, "mdiobus_read" },
	{ 0xbadbd110, "phy_write_mmd" },
	{ 0xf71b3e0, "phy_modify" },
	{ 0x932c2cd0, "phy_trigger_machine" },
	{ 0x4750698a, "phy_error" },
	{ 0xda6e34b7, "phy_modify_changed" },
	{ 0xbd29f429, "genphy_soft_reset" },
	{ 0x97ee06f6, "genphy_update_link" },
	{ 0xe4f5b35e, "genphy_read_lpa" },
	{ 0x74dac072, "phy_resolve_aneg_pause" },
	{ 0x1cb772be, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x64bfa599, "_dev_err" },
	{ 0xbabf2da3, "phy_read_mmd" },
	{ 0x6c185c4, "ethnl_cable_test_result" },
	{ 0x8628915e, "ethnl_cable_test_fault_length" },
	{ 0x69bb266c, "phy_modify_mmd" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5AA71377CED61E3D77A7916");
MODULE_INFO(rhelversion, "10.0");
