#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37d063b6, "nvme_remove_admin_tag_set" },
	{ 0x42e7fc2f, "nvme_sync_io_queues" },
	{ 0x1bcb83ec, "ib_mr_pool_destroy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfd8f256, "vmemmap" },
	{ 0x3872b7da, "ib_unregister_client" },
	{ 0x388acdd2, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcbb85b5e, "nvme_complete_rq" },
	{ 0x69798ff8, "rdma_reject_msg" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4566d96c, "nvme_wait_freeze_timeout" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa9685dc2, "nvme_cancel_admin_tagset" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0x51ad2054, "nvmf_subsystem_reset" },
	{ 0x30dddbff, "__ib_alloc_pd" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x22d1c2a5, "nvme_stop_keep_alive" },
	{ 0x586c4300, "blk_mq_complete_request_remote" },
	{ 0x47720fac, "dma_unmap_page_attrs" },
	{ 0xdc4d75ed, "nvme_setup_cmd" },
	{ 0x1bd28f21, "nvme_start_freeze" },
	{ 0x1836c4d3, "rdma_resolve_addr" },
	{ 0xf7041aeb, "nvme_start_ctrl" },
	{ 0xa4902858, "rdma_set_service_type" },
	{ 0x95970c29, "ib_map_mr_sg_pi" },
	{ 0xd147cb00, "nvme_alloc_admin_tag_set" },
	{ 0x9759e664, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x896127be, "ib_mr_pool_init" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x3fa7a4ef, "ib_process_cq_direct" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xfaafaa26, "nvmf_reg_read32" },
	{ 0x6c8fb104, "nvme_delete_ctrl" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xcb891f26, "__dynamic_dev_dbg" },
	{ 0x4fe28301, "nvme_disable_ctrl" },
	{ 0xb75e6bca, "rdma_disconnect" },
	{ 0x714e76de, "nvmf_set_io_queues" },
	{ 0xeeecf1e, "dev_driver_string" },
	{ 0xcadb63b9, "blk_rq_count_integrity_sg" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x1d2dc8eb, "nvmf_get_address" },
	{ 0x41819807, "dma_map_page_attrs" },
	{ 0x78791368, "nvme_host_path_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x157a5d1e, "nvme_remove_io_tag_set" },
	{ 0x1f783ba6, "nvme_cleanup_cmd" },
	{ 0xda0ce25, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x72ce6a50, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5024ea3c, "nvmf_unregister_transport" },
	{ 0xef4b56fb, "put_device" },
	{ 0xa1dd4eba, "nvme_change_ctrl_state" },
	{ 0x8914566d, "nvme_cancel_tagset" },
	{ 0xaef91b72, "rdma_resolve_route" },
	{ 0x9c1f1ccb, "_dev_info" },
	{ 0xe6174023, "nvme_init_ctrl" },
	{ 0x2a0b6c8e, "ib_register_client" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc71fd22b, "nvme_alloc_io_tag_set" },
	{ 0x31dec321, "rdma_create_qp" },
	{ 0xca74b310, "nvme_fail_nonready_command" },
	{ 0x412bc89f, "ib_map_mr_sg" },
	{ 0x3c5b7f80, "__dma_sync_single_for_cpu" },
	{ 0x64bfa599, "_dev_err" },
	{ 0xeeef6b88, "init_net" },
	{ 0xcae2bb7c, "ib_cq_pool_put" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbd1a3eb0, "blk_sync_queue" },
	{ 0x6c54eec2, "__ib_alloc_cq" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x292f223a, "__blk_rq_map_sg" },
	{ 0xae8a78c6, "nvmf_map_queues" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xa9f50d5a, "nvmf_reg_read64" },
	{ 0xd2a33e4c, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x50ec6af1, "rdma_destroy_qp" },
	{ 0x23238cf9, "ib_check_mr_status" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xee26f23f, "nvmf_connect_admin_queue" },
	{ 0x3f3d5396, "nvmf_ip_options_match" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0x2a4f2fb0, "ib_destroy_qp_user" },
	{ 0xbc55f589, "nvme_enable_ctrl" },
	{ 0x3bb9212f, "nvme_unquiesce_admin_queue" },
	{ 0xe817ef44, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x15e6054e, "ib_cq_pool_get" },
	{ 0xbcb0ef42, "rdma_connect_locked" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x66eb1b2d, "nvme_unquiesce_io_queues" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xb7f62fd1, "blk_mq_update_nr_hw_queues" },
	{ 0xa6006e40, "nvmf_reg_write32" },
	{ 0xc27102f1, "blk_mq_complete_request" },
	{ 0x647c97e, "ib_dma_virt_map_sg" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x226f00ed, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f0980e3, "param_ops_bool" },
	{ 0x99474e01, "rdma_destroy_id" },
	{ 0x7ed58065, "nvmf_should_reconnect" },
	{ 0x4c378187, "__dma_sync_single_for_device" },
	{ 0x6fb092b, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc67d43f1, "blk_rq_map_integrity_sg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x493e03e0, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3732f2f7, "ib_mr_pool_get" },
	{ 0xdaef97f1, "ib_mr_pool_put" },
	{ 0x952867e1, "nvmf_register_transport" },
	{ 0x8ccb4ca5, "blk_mq_start_request" },
	{ 0xd473afcf, "nvme_quiesce_io_queues" },
	{ 0x127c845f, "nvme_unfreeze" },
	{ 0x5115fc47, "nvme_stop_ctrl" },
	{ 0x3192e7ea, "nvme_auth_stop" },
	{ 0x6e68efae, "ib_drain_qp" },
	{ 0xa39e4f1, "ib_dealloc_pd_user" },
	{ 0x4afc9361, "dma_unmap_sg_attrs" },
	{ 0x7476e41b, "rdma_consumer_reject_data" },
	{ 0x5409a12b, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x9bfd754c, "nvme_quiesce_admin_queue" },
	{ 0xfd81c388, "__nvme_check_ready" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0xe1ca0d26, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6e8e18ec, "nvme_add_ctrl" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,ib_core,rdma_cm,nvme-fabrics");


MODULE_INFO(srcversion, "8BCF0AE0178D3E32D9527BE");
MODULE_INFO(rhelversion, "10.0");
