#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37d063b6, "nvme_remove_admin_tag_set" },
	{ 0x42e7fc2f, "nvme_sync_io_queues" },
	{ 0x70369a8f, "crypto_alloc_ahash" },
	{ 0xfd8f256, "vmemmap" },
	{ 0x388acdd2, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7300e83e, "tls_client_hello_psk" },
	{ 0x7d7548f6, "skb_copy_bits" },
	{ 0xcbb85b5e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4566d96c, "nvme_wait_freeze_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6ed3289a, "ip_sock_set_tos" },
	{ 0xc53c4e62, "cpumask_next_wrap" },
	{ 0xa9685dc2, "nvme_cancel_admin_tagset" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0x51ad2054, "nvmf_subsystem_reset" },
	{ 0xade1d1ae, "iov_iter_single_seg_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x22d1c2a5, "nvme_stop_keep_alive" },
	{ 0x586c4300, "blk_mq_complete_request_remote" },
	{ 0x503b5681, "iov_iter_advance" },
	{ 0xdc4d75ed, "nvme_setup_cmd" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x1bd28f21, "nvme_start_freeze" },
	{ 0xe942b1e7, "kernel_bind" },
	{ 0xf7041aeb, "nvme_start_ctrl" },
	{ 0x2a6cdd07, "sock_create" },
	{ 0xd147cb00, "nvme_alloc_admin_tag_set" },
	{ 0x9759e664, "nvmf_connect_io_queue" },
	{ 0xaf463a01, "tls_handshake_cancel" },
	{ 0x5e4606a5, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xfaafaa26, "nvmf_reg_read32" },
	{ 0x6c8fb104, "nvme_delete_ctrl" },
	{ 0xff7e948b, "kernel_recvmsg" },
	{ 0x5dbffb6a, "skb_copy_and_hash_datagram_iter" },
	{ 0x78ba2207, "sock_alloc_file" },
	{ 0xcb891f26, "__dynamic_dev_dbg" },
	{ 0x4fe28301, "nvme_disable_ctrl" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0xe442055f, "__dev_get_by_name" },
	{ 0x714e76de, "nvmf_set_io_queues" },
	{ 0x70f16d36, "sock_set_priority" },
	{ 0xed8164cb, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xae61f6d2, "nvme_tls_psk_default" },
	{ 0x1d2dc8eb, "nvmf_get_address" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x157a5d1e, "nvme_remove_io_tag_set" },
	{ 0x72ce6a50, "nvme_mpath_start_request" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5024ea3c, "nvmf_unregister_transport" },
	{ 0xef4b56fb, "put_device" },
	{ 0xa1dd4eba, "nvme_change_ctrl_state" },
	{ 0x8914566d, "nvme_cancel_tagset" },
	{ 0x9c1f1ccb, "_dev_info" },
	{ 0xe6174023, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xc71fd22b, "nvme_alloc_io_tag_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0xda3cb09d, "tcp_sock_set_syncnt" },
	{ 0xca74b310, "nvme_fail_nonready_command" },
	{ 0x5638eddc, "crypto_ahash_init" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x1c4a6867, "fput" },
	{ 0xa81a30ee, "__traceiter_sk_data_ready" },
	{ 0x64bfa599, "_dev_err" },
	{ 0xeeef6b88, "init_net" },
	{ 0x959d91bc, "kernel_getsockname" },
	{ 0x9c52df83, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbd1a3eb0, "blk_sync_queue" },
	{ 0xae8a78c6, "nvmf_map_queues" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa9f50d5a, "nvmf_reg_read64" },
	{ 0xd2a33e4c, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8780d3f6, "sock_sendmsg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xdaaea1a4, "lock_sock_nested" },
	{ 0xee26f23f, "nvmf_connect_admin_queue" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f3d5396, "nvmf_ip_options_match" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xbbd0dc76, "skb_copy_datagram_iter" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0xbc55f589, "nvme_enable_ctrl" },
	{ 0x3bb9212f, "nvme_unquiesce_admin_queue" },
	{ 0xfe0c2349, "sk_set_memalloc" },
	{ 0xbf4d9d00, "kernel_connect" },
	{ 0xe817ef44, "_dev_warn" },
	{ 0x76f114ae, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x51019584, "crypto_ahash_digest" },
	{ 0x410f07f9, "crypto_ahash_final" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x66eb1b2d, "nvme_unquiesce_io_queues" },
	{ 0xb7f62fd1, "blk_mq_update_nr_hw_queues" },
	{ 0xa6006e40, "nvmf_reg_write32" },
	{ 0xc27102f1, "blk_mq_complete_request" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f0980e3, "param_ops_bool" },
	{ 0x7ed58065, "nvmf_should_reconnect" },
	{ 0x6fb092b, "nvme_complete_async_event" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x493e03e0, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x952867e1, "nvmf_register_transport" },
	{ 0x8ccb4ca5, "blk_mq_start_request" },
	{ 0xd473afcf, "nvme_quiesce_io_queues" },
	{ 0x127c845f, "nvme_unfreeze" },
	{ 0x5115fc47, "nvme_stop_ctrl" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3192e7ea, "nvme_auth_stop" },
	{ 0xddd25ae, "tcp_sock_set_nodelay" },
	{ 0xef7307ba, "page_frag_cache_drain" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xb9911d57, "param_ops_int" },
	{ 0xbf9c8ec1, "crypto_ahash_update" },
	{ 0xdb8d7324, "key_lookup" },
	{ 0x5409a12b, "nvme_init_ctrl_finish" },
	{ 0xa1c0b3a, "kernel_sendmsg" },
	{ 0x9bfd754c, "nvme_quiesce_admin_queue" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa56a9271, "sock_setsockopt" },
	{ 0xfd81c388, "__nvme_check_ready" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0xb05047ce, "release_sock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6e8e18ec, "nvme_add_ctrl" },
	{ 0xcdb8ca30, "sock_no_linger" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvme-keyring");


MODULE_INFO(srcversion, "8FC0E1D83D9910C76D91AAE");
MODULE_INFO(rhelversion, "10.0");
