#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xdd971833, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xfb5bc653, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x99f455e8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x83a43ff7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x506d526c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x9d5c7e2d, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x7e0aedaa, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xf3c1eb52, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x1d448f63, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x874b753e, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x49c9ff2d, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x2ebc5d54, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x7b3f24d5, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x05a9ca14, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x01f546f3, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x94abec3e, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xf63f4bfa, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xf3e3e09e, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x115ed2c3, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xfff5f000, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x945b2aae, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xc048611c, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xe4e65dff, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xf8d20b07, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x491c8d8a, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xad0957c4, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xc14d32bf, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xe50f0226, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xb7b87ed9, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x39ff58e3, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x2dcadae2, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x7f5bc9e2, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xc73eb02e, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xafc6474c, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x1dd65180, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x079e8f8d, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xc9930b52, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x4a3d3c9b, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x80db6764, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xb16a4b9b, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x42faa3b3, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xfdcbbeab, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x776eec37, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x9d59145d, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x709657f9, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xbc99ce69, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xcd067521, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x29a90813, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xef4b56fb, "put_device" },
	{ 0x7af6edbb, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x456cc3ef, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xa5527a12, "get_device" },
	{ 0x9401574b, "device_find_child" },
	{ 0x45ce3fde, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x59966aea, "_dev_printk" },
	{ 0xafa9e668, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x125364ce, "netlink_kernel_release" },
	{ 0xacdf7cd9, "bus_unregister" },
	{ 0xae09b45d, "transport_class_unregister" },
	{ 0xda2f0e90, "class_unregister" },
	{ 0x9b71321f, "class_register" },
	{ 0x1fe536d3, "transport_class_register" },
	{ 0x42963388, "bus_register" },
	{ 0xeeef6b88, "init_net" },
	{ 0xcb87a498, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6b7fcebd, "scsi_host_get" },
	{ 0x30290724, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x5794e7f8, "scsi_init_limits" },
	{ 0xa48eb748, "bsg_setup_queue" },
	{ 0xad7b0d28, "netlink_broadcast_filtered" },
	{ 0x5747bc6f, "__alloc_skb" },
	{ 0x7abc4e8e, "__nlmsg_put" },
	{ 0xad72dc58, "scsi_is_host_device" },
	{ 0x750fbc3b, "bsg_remove_queue" },
	{ 0xadc0e3b4, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x1fcf78e8, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb51735d7, "dev_set_name" },
	{ 0x13c3e728, "device_register" },
	{ 0x300a13e6, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x9537ed5a, "attribute_container_register" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0x78e9ca19, "scsi_host_lookup" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdc0f5ab9, "transport_remove_device" },
	{ 0x2945b9b, "transport_destroy_device" },
	{ 0xdb101d13, "device_del" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x913c6208, "device_add" },
	{ 0x95a38fcc, "transport_setup_device" },
	{ 0x9b30923b, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2c043e2, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6598f227, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4a36bde6, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x766b8ec5, "scsi_scan_target" },
	{ 0x486ebaea, "netlink_capable" },
	{ 0xec10fa5a, "try_module_get" },
	{ 0x5302469d, "module_put" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x788021c0, "skb_pull" },
	{ 0xbf98ea8, "netlink_unicast" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0xb9911d57, "param_ops_int" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39354DEB19B8E5205A954FC");
MODULE_INFO(rhelversion, "10.0");
