#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f1f17af, "ceph_con_keepalive" },
	{ 0xace3bb5c, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x4e03c515, "folio_invalidate" },
	{ 0x30548346, "ceph_auth_get_authorizer" },
	{ 0x3524c308, "ceph_find_or_create_string" },
	{ 0x1185cc1f, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0xff7289c5, "generic_fillattr" },
	{ 0x7e329fe4, "vfs_fsync_range" },
	{ 0xe1542447, "setattr_prepare" },
	{ 0xc03ec6cc, "ceph_print_client_options" },
	{ 0x6cdafdf8, "simple_attr_write" },
	{ 0x8353680c, "file_check_and_advance_wb_err" },
	{ 0x61455c51, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e2c1de2, "filemap_get_folios_tag" },
	{ 0xfd8f256, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x2b7f292c, "d_instantiate" },
	{ 0xc31d7c26, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x770ce61, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbfee100, "clear_inode" },
	{ 0xe5673dc0, "ceph_create_client" },
	{ 0xaa100e3a, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xc043368a, "osd_req_op_extent_osd_data" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x955665f0, "discard_new_inode" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa52ba40, "fs_param_is_string" },
	{ 0x16f62ba8, "__folio_batch_release" },
	{ 0xde886b6, "folio_unlock" },
	{ 0x43fae63f, "inode_insert5" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xab007e98, "ceph_monc_want_map" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x26c07cf7, "new_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2e3f620d, "ceph_con_open" },
	{ 0x89585630, "forget_all_cached_acls" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb07ef88f, "init_special_inode" },
	{ 0xc53bf898, "unregister_filesystem" },
	{ 0x4c64a55e, "param_get_bool" },
	{ 0xa376f5df, "ceph_pagelist_alloc" },
	{ 0x5261824a, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe9250a4c, "ceph_osdc_put_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x465fb2bc, "generic_error_remove_folio" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x503b5681, "iov_iter_advance" },
	{ 0xf0df454, "d_make_root" },
	{ 0x868e2f26, "d_same_name" },
	{ 0x47192bae, "read_cache_folio" },
	{ 0xa2e87fa9, "invalidate_mapping_pages" },
	{ 0x15e14189, "sync_filesystem" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x652558fa, "ceph_parse_param" },
	{ 0x7baa1bd4, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x955265be, "sget_fc" },
	{ 0xe074749, "d_splice_alias" },
	{ 0x8f7dd06f, "iov_iter_get_pages2" },
	{ 0x6603832d, "current_time" },
	{ 0xe91abaa, "osd_req_op_extent_update" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8d76e505, "from_vfsuid" },
	{ 0xe3fa1b1, "ihold" },
	{ 0x8e42d545, "d_find_any_alias" },
	{ 0xf1013f9e, "inode_dio_wait" },
	{ 0xeb33946a, "generic_permission" },
	{ 0xf00f6a9a, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa879cd9e, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc77ec84a, "posix_lock_file" },
	{ 0x1952df9, "finish_open" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xba33139f, "iput" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0x39259074, "fs_param_is_enum" },
	{ 0x8f0a97aa, "fs_param_is_s32" },
	{ 0x2d885eb, "wrap_directory_iterator" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x36681aef, "logfc" },
	{ 0x8a78e65c, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x7141325f, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa41cbbab, "d_lookup" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x185bcc7b, "filemap_alloc_folio_noprof" },
	{ 0x61359535, "ceph_msg_new" },
	{ 0x7e304dc, "register_filesystem" },
	{ 0x2ad1786d, "kmem_cache_create" },
	{ 0xdf3c7b8c, "ceph_auth_invalidate_authorizer" },
	{ 0xbe2a7241, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x51276b02, "ceph_monc_got_map" },
	{ 0x5e4a1f5, "osd_req_op_extent_dup_last" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xcad86be1, "ceph_osdc_alloc_messages" },
	{ 0x2786554a, "clear_page_dirty_for_io" },
	{ 0x5b496667, "ceph_msg_data_add_pagelist" },
	{ 0xaacd2357, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x14f8fdcd, "simple_get_link" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xaea9cc9d, "shrink_dcache_parent" },
	{ 0x2e6b57dd, "__put_cred" },
	{ 0xcb161829, "d_prune_aliases" },
	{ 0xa63642f6, "ceph_reset_client_addr" },
	{ 0x88250f6, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x6bfeca48, "locks_lock_inode_wait" },
	{ 0xaa61c876, "fs_param_is_u32" },
	{ 0x2eb37026, "inode_newsize_ok" },
	{ 0x126db63a, "netfs_invalidate_folio" },
	{ 0xe12ddddd, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xbb100099, "ceph_msg_new2" },
	{ 0xd3d8bd25, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cb6a5f0, "ceph_release_page_vector" },
	{ 0xae71074, "posix_acl_from_xattr" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xed339814, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8375650f, "ceph_pagelist_reserve" },
	{ 0x742f88df, "__ceph_alloc_sparse_ext_map" },
	{ 0x7790a91c, "ceph_pagelist_append" },
	{ 0x92b6f009, "ceph_auth_verify_authorizer_reply" },
	{ 0xe2e19688, "make_kuid" },
	{ 0xed42cba9, "truncate_inode_pages_final" },
	{ 0x42c42f48, "d_alloc" },
	{ 0xcea06bd3, "__filemap_set_wb_err" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9ef11c16, "generic_perform_write" },
	{ 0x59771d3, "simple_nosetlease" },
	{ 0x9ef809f2, "__free_pages" },
	{ 0xd423f4c5, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xcab25d94, "ceph_pg_pool_name_by_id" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4c53a910, "ceph_osdc_wait_request" },
	{ 0xcaf1bc75, "inode_init_once" },
	{ 0x3e4cd9af, "folio_wait_private_2" },
	{ 0xba23f7ac, "file_write_and_wait_range" },
	{ 0x515c92ef, "ceph_osdc_new_request" },
	{ 0x86d7d53, "compat_ptr_ioctl" },
	{ 0x88078a4a, "copy_splice_read" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbc98cee2, "ceph_oloc_copy" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x2745ae2f, "ilookup5" },
	{ 0xc8c359e9, "seq_escape_mem" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x1de278a9, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaba095c1, "posix_acl_create" },
	{ 0xb8fe0610, "release_pages" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x5f1cfe7d, "generic_file_read_iter" },
	{ 0xb0a7d6e3, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5c8adb68, "set_cached_acl" },
	{ 0x5cddf097, "simple_attr_release" },
	{ 0x1f9d064, "ceph_auth_handle_svc_reply_more" },
	{ 0xa3dcbda5, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xcb457df3, "truncate_pagecache" },
	{ 0x2ba7d7e1, "init_uts_ns" },
	{ 0x3744f944, "wait_on_page_writeback" },
	{ 0xe776b7e, "ceph_pg_pool_flags" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xae24766f, "file_update_time" },
	{ 0xa1c6aa79, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0xce1b284d, "kmem_cache_alloc_lru_noprof" },
	{ 0x97d12426, "kmem_cache_free" },
	{ 0x8d70ab0f, "debugfs_remove" },
	{ 0xa58b7e99, "ceph_pg_to_acting_primary" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb8ce3987, "ceph_auth_add_authorizer_challenge" },
	{ 0xb2f1964c, "d_move" },
	{ 0x4527fb0b, "netfs_release_folio" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x4a5eedfc, "seq_putc" },
	{ 0xdd08a365, "from_kgid" },
	{ 0x721eff81, "ceph_con_send" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xedf45f17, "ceph_osdc_abort_requests" },
	{ 0xc90488ea, "ceph_zero_page_vector_range" },
	{ 0x6f3fe31a, "param_set_bool" },
	{ 0xc56faa74, "iov_iter_kvec" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x5962f8d0, "file_remove_privs" },
	{ 0xd0c155c3, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x997e190d, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x372df94e, "ceph_compare_options" },
	{ 0x27a38808, "d_obtain_alias" },
	{ 0xfa66de17, "file_modified" },
	{ 0x5572209a, "posix_acl_chmod" },
	{ 0x3566199d, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x66c3636d, "ceph_parse_mon_ips" },
	{ 0x9b9625f8, "ceph_client_addr" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x61f2c34b, "ceph_msg_dump" },
	{ 0xe85108a4, "ceph_buffer_new" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0xf2d65559, "finish_no_open" },
	{ 0x713c82fa, "d_obtain_root" },
	{ 0x8cd0b0c8, "ceph_put_page_vector" },
	{ 0xf632fa61, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x450e9318, "ceph_osdc_alloc_request" },
	{ 0x5c3f1f5b, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0x1f1631ee, "ceph_osdc_update_epoch_barrier" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xec7b6aee, "security_inode_invalidate_secctx" },
	{ 0x19403e0f, "osd_req_op_extent_osd_iter" },
	{ 0x76f114ae, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xffbcdfad, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xb8028006, "ceph_object_locator_to_pg" },
	{ 0xb5fb0b54, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x458afeb3, "__ceph_auth_get_authorizer" },
	{ 0x6108288f, "complete_all" },
	{ 0xf63dbd3f, "d_delete" },
	{ 0xed379d25, "simple_attr_read" },
	{ 0x1c9047c9, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x52e131f0, "ceph_pagelist_release" },
	{ 0x103bafd6, "down_read" },
	{ 0x736e8947, "osd_req_op_extent_osd_data_pages" },
	{ 0xe798236d, "jiffies" },
	{ 0xb44ca750, "iov_iter_get_pages_alloc2" },
	{ 0x548a3395, "ceph_osdc_sync" },
	{ 0x6ed47bdc, "set_page_dirty" },
	{ 0xf7e4c011, "copy_page_from_iter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2a901ed4, "ceph_destroy_client" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0xee287b62, "redirty_page_for_writepage" },
	{ 0x2b756184, "noop_direct_IO" },
	{ 0x414fc270, "debugfs_create_file" },
	{ 0x690f980c, "igrab" },
	{ 0x7059a93b, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf706c01c, "__ceph_open_session" },
	{ 0x677ccf2b, "set_page_writeback" },
	{ 0xe94c0b2, "d_add" },
	{ 0x33fa677f, "rename_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x9f0980e3, "param_ops_bool" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x13405381, "init_user_ns" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xad56db02, "d_find_alias" },
	{ 0x6f101ee3, "invalidate_inode_pages2" },
	{ 0x5fd2298e, "strnstr" },
	{ 0xc7893d7b, "inode_set_ctime_current" },
	{ 0x9b2facdf, "bdi_dev_name" },
	{ 0x183dfed2, "seq_write" },
	{ 0x160d182b, "__folio_put" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xe4b73be6, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3b6a5724, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x7cbd067f, "ceph_monc_do_statfs" },
	{ 0xf38c8fb7, "dput" },
	{ 0x6bb79392, "ceph_monc_validate_auth" },
	{ 0xfe20c7f2, "iov_iter_zero" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb19d4104, "generic_delete_inode" },
	{ 0xa6c32fab, "deactivate_locked_super" },
	{ 0x6ece3b35, "__percpu_down_read" },
	{ 0xb5e6ddee, "ceph_auth_handle_svc_reply_done" },
	{ 0x3746c25c, "ceph_oloc_destroy" },
	{ 0x412a9a2f, "set_page_dirty_lock" },
	{ 0x6475bfac, "tag_pages_for_writeback" },
	{ 0x764a6d02, "posix_acl_update_mode" },
	{ 0x829200ea, "ceph_auth_handle_bad_authorizer" },
	{ 0xfb1960cd, "ceph_monc_renew_subs" },
	{ 0x21caa48, "truncate_inode_pages_range" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x3d014a2, "__folio_lock" },
	{ 0x66fe59bd, "filemap_dirty_folio" },
	{ 0xb0b64519, "pagecache_get_page" },
	{ 0x2a26fce0, "ceph_msg_put" },
	{ 0x3c9463b3, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x64ed1587, "rcuwait_wake_up" },
	{ 0x43695dcb, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe8ff0114, "iov_iter_xarray" },
	{ 0x25e5115b, "__fs_parse" },
	{ 0x9f677840, "filemap_splice_read" },
	{ 0x256b34b2, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x1e96e444, "dget_parent" },
	{ 0x5de965be, "kill_anon_super" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xa81ed0e3, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x36f7140a, "security_dentry_init_security" },
	{ 0xbfac8063, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5dba518c, "osd_req_op_raw_data_in_pages" },
	{ 0x4f6ee6b7, "netfs_subreq_terminated" },
	{ 0x680e6778, "ceph_con_init" },
	{ 0xb53965e4, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1591405f, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7febc168, "filemap_fault" },
	{ 0xb076b17, "d_invalidate" },
	{ 0x28c924b8, "debugfs_create_dir" },
	{ 0xa3a88a2a, "__mark_inode_dirty" },
	{ 0x3cc9ad4a, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x4444662, "lockref_get_not_dead" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf592bd1, "ceph_osdc_clear_abort_err" },
	{ 0x4de948b3, "iov_iter_npages" },
	{ 0x80ad35e, "drop_nlink" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x4fd90490, "kmem_cache_destroy" },
	{ 0x895a7d7b, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x9d866389, "forget_cached_acl" },
	{ 0x2818da31, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "9FE693749A5578CA7973E3F");
MODULE_INFO(rhelversion, "10.0");
