#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x834e586d, "");
SYMBOL_CRC(jbd2_journal_start, 0x33538f56, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x4e104323, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x76403830, "");
SYMBOL_CRC(jbd2__journal_restart, 0x4cfa2fb4, "");
SYMBOL_CRC(jbd2_journal_restart, 0x8922c693, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x750de54d, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xf5fdd875, "");
SYMBOL_CRC(jbd2_journal_extend, 0x8a82aaf6, "");
SYMBOL_CRC(jbd2_journal_stop, 0x09153ffc, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xba6ee0a6, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xd1b98351, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x10ed0897, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x0cdf7fa5, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x55d76486, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x39925b0e, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x5510c6f6, "");
SYMBOL_CRC(jbd2_journal_forget, 0xaf33583a, "");
SYMBOL_CRC(jbd2_journal_flush, 0x87fbb118, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x94f75c02, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xe3332ca1, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xdaa1e610, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x8a532ea9, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xfcc09aa6, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x17472f09, "");
SYMBOL_CRC(jbd2_journal_load, 0xa6ef2f6c, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x8e520263, "");
SYMBOL_CRC(jbd2_journal_abort, 0x27f8a9fd, "");
SYMBOL_CRC(jbd2_journal_errno, 0xb3068730, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xec0946e6, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x77983b7a, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xcbf7f619, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x890ef377, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x053ef551, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x87f16d9b, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x342f583a, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x6d543a9f, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xe1edd770, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x39d3df48, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x547a92c0, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x17d200ce, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x554cd7af, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xa84b28bf, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x4950157d, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x5b5bcd97, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x7722441e, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x37e6b489, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x36a1fd37, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xaeb27d76, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x302778d8, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x43e1941f, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x8b86ceff, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x2c9ac54d, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x3b0ca7f5, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xdb5e64cd, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x6a57873c, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xb5c34d09, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xa85dc325, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc0def4ce, "bh_uptodate_or_lock" },
	{ 0x78d23df, "shrinker_alloc" },
	{ 0xfd8f256, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4fdb4203, "blk_start_plug" },
	{ 0x7019de24, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xde886b6, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xec0ab3df, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0x2166a00a, "bpf_trace_run6" },
	{ 0xa39fd26c, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5f007cd3, "__find_get_block" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0xe28deda6, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0xee091e00, "__bforget" },
	{ 0x7639f124, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba33139f, "iput" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0xb8e1271c, "blockdev_superblock" },
	{ 0x97115081, "proc_create_data" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2ad1786d, "kmem_cache_create" },
	{ 0x823d91bf, "bpf_trace_run8" },
	{ 0x51363e6e, "submit_bh" },
	{ 0x214c4db4, "alloc_buffer_head" },
	{ 0xd4d9924b, "wake_up_process" },
	{ 0xb17070ed, "shrinker_free" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xed8164cb, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x50cb00e0, "try_to_free_buffers" },
	{ 0x9b5acbcd, "sync_blockdev" },
	{ 0xa781eb1b, "free_buffer_head" },
	{ 0xaec5697e, "shrinker_register" },
	{ 0xbed9a262, "blk_finish_plug" },
	{ 0xb7c2b830, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x236f5cee, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xfbd2d71a, "__bh_read_batch" },
	{ 0x1190c4d6, "bpf_trace_run5" },
	{ 0xf0ebcbf6, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x97d12426, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x892f220d, "__bh_read" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x565897bd, "blkdev_issue_zeroout" },
	{ 0x8ecbae03, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x75ef863b, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e21a39, "freezing_slow_path" },
	{ 0x6ded75fe, "bpf_trace_run1" },
	{ 0xcb672c07, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xffbcdfad, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xfed3f251, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdcaa6123, "bpf_trace_run3" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0x2b8afa3a, "unlock_buffer" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x160d182b, "__folio_put" },
	{ 0xd63ab464, "remove_proc_entry" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x43279323, "__lock_buffer" },
	{ 0x21caa48, "truncate_inode_pages_range" },
	{ 0x3ab7d988, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7d1bf2d3, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3f67ea8e, "end_buffer_write_sync" },
	{ 0x9402fff7, "seq_open" },
	{ 0x827e967d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x1b2792f9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x4fd90490, "kmem_cache_destroy" },
	{ 0x385fa051, "blkdev_issue_discard" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "244B5B337CBA289DB57472A");
MODULE_INFO(rhelversion, "10.0");
