#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(zs_lookup_class_index, "_gpl", "");
KSYMTAB_FUNC(zs_get_total_pages, "_gpl", "");
KSYMTAB_FUNC(zs_map_object, "_gpl", "");
KSYMTAB_FUNC(zs_unmap_object, "_gpl", "");
KSYMTAB_FUNC(zs_huge_class_size, "_gpl", "");
KSYMTAB_FUNC(zs_malloc, "_gpl", "");
KSYMTAB_FUNC(zs_free, "_gpl", "");
KSYMTAB_FUNC(zs_compact, "_gpl", "");
KSYMTAB_FUNC(zs_pool_stats, "_gpl", "");
KSYMTAB_FUNC(zs_create_pool, "_gpl", "");
KSYMTAB_FUNC(zs_destroy_pool, "_gpl", "");

SYMBOL_CRC(zs_lookup_class_index, 0x5957cddb, "_gpl");
SYMBOL_CRC(zs_get_total_pages, 0xcbe56bc2, "_gpl");
SYMBOL_CRC(zs_map_object, 0xc341ae6d, "_gpl");
SYMBOL_CRC(zs_unmap_object, 0x924c46f8, "_gpl");
SYMBOL_CRC(zs_huge_class_size, 0x7554b896, "_gpl");
SYMBOL_CRC(zs_malloc, 0xedf55abb, "_gpl");
SYMBOL_CRC(zs_free, 0x958df3ac, "_gpl");
SYMBOL_CRC(zs_compact, 0x5da67adc, "_gpl");
SYMBOL_CRC(zs_pool_stats, 0x7cceaf92, "_gpl");
SYMBOL_CRC(zs_create_pool, 0xbcf1f0e6, "_gpl");
SYMBOL_CRC(zs_destroy_pool, 0xc69b7ee5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x1591405f, "single_open" },
	{ 0x37a0cba, "kfree" },
	{ 0xb17070ed, "shrinker_free" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8d70ab0f, "debugfs_remove" },
	{ 0x4fd90490, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x28c924b8, "debugfs_create_dir" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2ad1786d, "kmem_cache_create" },
	{ 0x414fc270, "debugfs_create_file" },
	{ 0x78d23df, "shrinker_alloc" },
	{ 0xaec5697e, "shrinker_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x4a5eedfc, "seq_putc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x782ea8c2, "__ClearPageMovable" },
	{ 0xb0a7d6e3, "unlock_page" },
	{ 0x8721a421, "dec_zone_page_state" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x160d182b, "__folio_put" },
	{ 0x97d12426, "kmem_cache_free" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2253489e, "folio_wait_bit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xffbcdfad, "kmem_cache_alloc_noprof" },
	{ 0x6f445ba2, "inc_zone_page_state" },
	{ 0xa32ddc6f, "alloc_pages_noprof" },
	{ 0x9ef809f2, "__free_pages" },
	{ 0xfd8f256, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x76cba1c9, "__SetPageMovable" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x1f387d74, "node_data" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0x43695dcb, "single_release" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0AD76984FCA9BCFBA72502");
MODULE_INFO(rhelversion, "10.0");
