#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xa4326497, "");
SYMBOL_CRC(is_hsr_master, 0xdd920625, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6131e450, "dev_set_mtu" },
	{ 0x7d00ce67, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xec905f18, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x609809eb, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6007286d, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe7a9ef6d, "rtnl_link_register" },
	{ 0xe4dd6609, "genlmsg_put" },
	{ 0x4017b2fb, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xce54ecd4, "dev_set_promiscuity" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd36e9885, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x56fc25e8, "unregister_netdevice_queue" },
	{ 0x15a67def, "netlink_ack" },
	{ 0xc4bcf7dd, "__pskb_copy_fclone" },
	{ 0xc6a5aba7, "dev_uc_unsync" },
	{ 0x1496c35b, "ether_setup" },
	{ 0xad7b0d28, "netlink_broadcast_filtered" },
	{ 0x9e4923cf, "netdev_err" },
	{ 0xd56ad2c7, "netdev_upper_dev_link" },
	{ 0xd9a8db98, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc2df41c2, "netdev_rx_handler_unregister" },
	{ 0x7f8323a, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x5747bc6f, "__alloc_skb" },
	{ 0x27f68e34, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9cbed3cb, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xed384e8a, "rtnl_link_unregister" },
	{ 0xeeef6b88, "init_net" },
	{ 0x788021c0, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0xbf98ea8, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3120d7ff, "dev_get_by_index_rcu" },
	{ 0x4f221d08, "netdev_printk" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x8d70ab0f, "debugfs_remove" },
	{ 0x2fa03493, "netdev_upper_dev_unlink" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd7889d, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0x3f31e359, "netif_rx" },
	{ 0x79d9a5df, "__netdev_alloc_skb" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0x948021ff, "debugfs_rename" },
	{ 0x414fc270, "debugfs_create_file" },
	{ 0x93aa3da5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d2a951, "call_netdevice_notifiers" },
	{ 0x9624a00a, "dev_set_allmulti" },
	{ 0x183dfed2, "seq_write" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x932b0503, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x8e56d89, "skb_clone" },
	{ 0xf8479ed4, "netif_carrier_on" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd38c0dc3, "netdev_rx_handler_register" },
	{ 0x43695dcb, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3ceea960, "genl_unregister_family" },
	{ 0x78be9d49, "dev_disable_lro" },
	{ 0xa888828e, "dev_kfree_skb_any_reason" },
	{ 0x1591405f, "single_open" },
	{ 0x28c924b8, "debugfs_create_dir" },
	{ 0x3cb27e35, "dev_mc_unsync" },
	{ 0x79eda707, "genl_register_family" },
	{ 0xd52d9345, "netdev_core_stats_inc" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0xbd36d894, "netdev_info" },
	{ 0x41a8e523, "dev_mc_sync_multiple" },
	{ 0x94da3806, "register_netdevice" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "673ED3BB29B854CEDB20799");
MODULE_INFO(rhelversion, "10.0");
