#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xefd8f896, "");
SYMBOL_CRC(wpan_phy_for_each, 0xc7386155, "");
SYMBOL_CRC(wpan_phy_new, 0xd387f132, "");
SYMBOL_CRC(wpan_phy_register, 0xba2a52d6, "");
SYMBOL_CRC(wpan_phy_unregister, 0x6d972521, "");
SYMBOL_CRC(wpan_phy_free, 0x77a9aa57, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xb8469336, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x40516de8, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x50851f0a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xa490402b, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x0911ce5e, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x01b46c2c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x0571f1bc, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x044f9ac2, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xeba7fdaa, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x8703a1d4, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xa4af18d0, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xe9acebb2, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x275dd4a9, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x3704508c, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x0826d6c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7019de24, "bpf_trace_run4" },
	{ 0x609809eb, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb51735d7, "dev_set_name" },
	{ 0x271bea24, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0x30290724, "device_initialize" },
	{ 0xe4dd6609, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa5527a12, "get_device" },
	{ 0xad7b0d28, "netlink_broadcast_filtered" },
	{ 0x9149ca80, "device_rename" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xef4b56fb, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5747bc6f, "__alloc_skb" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfde3047a, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9cbed3cb, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0xeeef6b88, "init_net" },
	{ 0x788021c0, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x913c6208, "device_add" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0xbf98ea8, "netlink_unicast" },
	{ 0x24f1a78a, "dev_get_by_index" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda2f0e90, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa55bae5e, "unregister_pernet_device" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6ded75fe, "bpf_trace_run1" },
	{ 0xdb101d13, "device_del" },
	{ 0xc7eec866, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdcaa6123, "bpf_trace_run3" },
	{ 0x6a4f67c1, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe5025644, "get_net_ns_by_pid" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa129030d, "device_match_name" },
	{ 0xc7ebc878, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3ceea960, "genl_unregister_family" },
	{ 0x79eda707, "genl_register_family" },
	{ 0x64b86bbc, "__dev_change_net_namespace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x3d3a6d25, "register_pernet_device" },
	{ 0xf5a10df6, "get_net_ns_by_fd" },
	{ 0x9b71321f, "class_register" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x18c8dca8, "class_find_device" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "245A5A6CB2C6678DFB34CDF");
MODULE_INFO(rhelversion, "10.0");
