#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x4bd57f53, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x0bbec4e4, "");
SYMBOL_CRC(ieee802154_free_hw, 0x5d67ff95, "");
SYMBOL_CRC(ieee802154_register_hw, 0xce5d6e35, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x24b79cdd, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x8a0adc28, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xe91e1cb3, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xbd2dac99, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xa882d067, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78d3c978, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7019de24, "bpf_trace_run4" },
	{ 0xa4af18d0, "nl802154_beaconing_done" },
	{ 0x609809eb, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x24d51000, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x371b2be2, "skb_dequeue" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0x1503499d, "dev_alloc_name" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x40516de8, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbd0359a0, "crypto_alloc_aead" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xd36e9885, "netdev_warn" },
	{ 0x1fe55cc0, "crypto_aead_setauthsize" },
	{ 0xf1a04b5a, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x26bab91b, "crypto_skcipher_setkey" },
	{ 0x56fc25e8, "unregister_netdevice_queue" },
	{ 0xcb891f26, "__dynamic_dev_dbg" },
	{ 0x1b46c2c, "ieee802154_hdr_peek_addrs" },
	{ 0x6d972521, "wpan_phy_unregister" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0xd9a8db98, "dev_addr_mod" },
	{ 0xed8164cb, "crypto_destroy_tfm" },
	{ 0x2eefc401, "alloc_netdev_mqs" },
	{ 0x8703a1d4, "nl802154_scan_done" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeba7fdaa, "nl802154_scan_started" },
	{ 0xa3578266, "crypto_skcipher_decrypt" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5747bc6f, "__alloc_skb" },
	{ 0x27f68e34, "skb_copy_expand" },
	{ 0xbacaa690, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x11ffb357, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0x3704508c, "cfg802154_get_free_short_addr" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x64bfa599, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba2a52d6, "wpan_phy_register" },
	{ 0x826d6c7, "cfg802154_set_max_associations" },
	{ 0xfb3cee0, "crypto_aead_encrypt" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x571f1bc, "ieee802154_hdr_peek" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x77a9aa57, "wpan_phy_free" },
	{ 0xdaf31255, "netif_receive_skb" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa6f62c8b, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6ded75fe, "bpf_trace_run1" },
	{ 0x8a0dfc2c, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe817ef44, "_dev_warn" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa490402b, "ieee802154_hdr_pull" },
	{ 0x44f9ac2, "nl802154_scan_event" },
	{ 0x7fe1c423, "crypto_alloc_sync_skcipher" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbce90e53, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdcaa6123, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x50851f0a, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x911ce5e, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd387f132, "wpan_phy_new" },
	{ 0x8e56d89, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb8469336, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa888828e, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe9acebb2, "cfg802154_device_is_parent" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x275dd4a9, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94da3806, "register_netdevice" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "78A04E61F1DB5FCF1C789C2");
MODULE_INFO(rhelversion, "10.0");
