#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x5e1faa8e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4c84c92d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xdc56d4b8, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xff976075, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x68601922, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x17afadaa, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xd9e8dcd6, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x99ebf56c, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x1a7be4aa, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x9e78e1e1, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x8b1028f5, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x6dc2d700, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x9bc62d97, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x3807ecaa, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x3886102f, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x2be35fe7, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x6b9d9060, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xf751b0f5, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x5c010941, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ae55a8f, "drm_client_register" },
	{ 0xec10fa5a, "try_module_get" },
	{ 0x9779c284, "drm_fb_helper_init" },
	{ 0x4c2be71e, "drm_fb_helper_debug_enter" },
	{ 0xdc3e6220, "ww_mutex_lock_interruptible" },
	{ 0x22d9f046, "vmf_insert_pfn" },
	{ 0xfd8f256, "vmemmap" },
	{ 0x48e1102c, "drm_gem_get_pages" },
	{ 0x3ba0d58, "dma_buf_vmap" },
	{ 0xbc645ff8, "drm_client_buffer_vmap" },
	{ 0x63205ba1, "drm_fb_helper_lastclose" },
	{ 0x960bfc52, "drm_fb_helper_setcmap" },
	{ 0x65aade58, "drm_fb_helper_alloc_info" },
	{ 0xb6f83e99, "drm_helper_disable_unused_functions" },
	{ 0x97760403, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x63ada223, "drm_fb_helper_fini" },
	{ 0xa1ca506d, "drm_client_framebuffer_delete" },
	{ 0x5f908def, "drm_client_framebuffer_create" },
	{ 0xa2e87fa9, "invalidate_mapping_pages" },
	{ 0xd7659f85, "ww_mutex_unlock" },
	{ 0x637fd9c4, "drm_fb_helper_deferred_io" },
	{ 0x50411e87, "drm_fb_helper_release_info" },
	{ 0x4aa6a2b7, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xfc118ec7, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x62c11945, "drm_driver_legacy_fb_format" },
	{ 0xf640c477, "drm_fb_helper_fill_info" },
	{ 0xd28f90c3, "drm_gem_create_mmap_offset" },
	{ 0x4f37481a, "fb_deferred_io_init" },
	{ 0x43ad0cfc, "fb_deferred_io_cleanup" },
	{ 0x494f2ddb, "drm_gem_object_init" },
	{ 0xeeecf1e, "dev_driver_string" },
	{ 0xc9fd488e, "drm_fb_helper_hotplug_event" },
	{ 0xe1614525, "fb_sys_write" },
	{ 0x90034d00, "sys_imageblit" },
	{ 0xa66590c5, "drm_fb_helper_damage_range" },
	{ 0x627a2d36, "drm_fb_helper_blank" },
	{ 0x5b54f30, "drm_gem_private_object_init" },
	{ 0x2715dd63, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x15ca99f8, "drm_fb_helper_damage_area" },
	{ 0x81bb1c6b, "sys_fillrect" },
	{ 0x5302469d, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x1e88a263, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdcb4eb37, "drm_gem_vm_close" },
	{ 0x111965ac, "drm_gem_vm_open" },
	{ 0xf46c29a3, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x64bfa599, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x64332b5c, "drm_gem_object_release" },
	{ 0x694826cd, "ww_mutex_lock" },
	{ 0x3ac5fd75, "vmap" },
	{ 0xa5acffd1, "drm_gem_handle_create" },
	{ 0xcdaca3f3, "drm_gem_fb_get_obj" },
	{ 0x86f48170, "__drm_dev_dbg" },
	{ 0x423c216d, "drm_prime_pages_to_sg" },
	{ 0x85a0f622, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x94f65c73, "drm_fb_helper_pan_display" },
	{ 0x3b66aea, "dma_buf_vunmap" },
	{ 0xb4031e72, "drm_client_release" },
	{ 0x8a481b7f, "sys_copyarea" },
	{ 0x63c34c3d, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x7e8cfb6c, "dma_map_sgtable" },
	{ 0x6c56538e, "drm_gem_free_mmap_offset" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6617bae2, "drm_client_buffer_vunmap" },
	{ 0x785f4c28, "fb_sys_read" },
	{ 0x9ed627bc, "drm_fb_helper_debug_leave" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x4afc9361, "dma_unmap_sg_attrs" },
	{ 0x7044e60d, "drm_fb_helper_initial_config" },
	{ 0xa4c92e64, "drm_fb_helper_unregister_info" },
	{ 0xf4cd827c, "drm_gem_put_pages" },
	{ 0x4dc48981, "drm_gem_private_object_fini" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x3a645f2e, "drm_fb_helper_ioctl" },
	{ 0xbbb72bb3, "drm_fb_helper_set_par" },
	{ 0xbf466db5, "drm_prime_gem_destroy" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "5CBE2D0A70DC150E0CC6E9B");
MODULE_INFO(rhelversion, "10.0");
