#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x3abe11aa, "");
SYMBOL_CRC(flow_resources_alloc, 0x6cab77c0, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x87c0843b, "");
SYMBOL_CRC(flow_resources_add, 0x84a9d159, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x1ef69df9, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x211383bb, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x6375e38d, "");
SYMBOL_CRC(uverbs_idr_class, 0x318cc0fc, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xf874ced3, "");
SYMBOL_CRC(uverbs_fd_class, 0x72b50baf, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x4289eb47, "");
SYMBOL_CRC(_uverbs_alloc, 0x33fe0f9d, "");
SYMBOL_CRC(uverbs_get_flags64, 0xee8f7081, "");
SYMBOL_CRC(uverbs_get_flags32, 0xabe71703, "");
SYMBOL_CRC(uverbs_copy_to, 0x60b8ac41, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x578a48d9, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x84dd419c, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x8828ba6b, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x2fe8ece3, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xa137821c, "");
SYMBOL_CRC(ib_umem_get, 0x7837bb89, "");
SYMBOL_CRC(ib_umem_release, 0x031a0792, "");
SYMBOL_CRC(ib_umem_copy_from, 0xa3242381, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xaee6322a, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x1a77ded2, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xeba560d6, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x9d6e4f37, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4c94ad4, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xec10fa5a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8183a639, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfd8f256, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x3872b7da, "ib_unregister_client" },
	{ 0x8d295584, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xef90b2fd, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb51735d7, "dev_set_name" },
	{ 0xf71e1503, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa21295da, "ib_create_qp_user" },
	{ 0xfb5e88c2, "dma_resv_wait_timeout" },
	{ 0x6df21814, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x9800330e, "kill_fasync" },
	{ 0x6e4de898, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7a41f345, "fget" },
	{ 0x429d74ec, "ib_query_srq" },
	{ 0xd7659f85, "ww_mutex_unlock" },
	{ 0x30290724, "device_initialize" },
	{ 0xe4e5ad05, "ib_rdmacg_try_charge" },
	{ 0xb110c5fd, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe0067da9, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x42bab457, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xba33139f, "iput" },
	{ 0x806087c6, "dma_buf_unpin" },
	{ 0xa89c48f, "zap_vma_ptes" },
	{ 0xa6eb4efc, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcda979c6, "rdma_dev_access_netns" },
	{ 0xa5527a12, "get_device" },
	{ 0xcc42a417, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x71c909ae, "dma_buf_dynamic_attach" },
	{ 0x4fcf02bc, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0x43772b23, "ib_destroy_srq_user" },
	{ 0x447c7d4, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x82f15401, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe977f657, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xef4b56fb, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x320ccbab, "ib_modify_qp_with_udata" },
	{ 0xd82a7b9c, "ib_register_event_handler" },
	{ 0x227d5343, "ib_detach_mcast" },
	{ 0xd7dbe74d, "dma_buf_map_attachment" },
	{ 0x9ef809f2, "__free_pages" },
	{ 0x12bc12d, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5302469d, "module_put" },
	{ 0x2a0b6c8e, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x86d7d53, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe6505d4a, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x448895f1, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x1c4a6867, "fput" },
	{ 0x9cf295b9, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x64bfa599, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x288803f8, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5e90791e, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc749d0cd, "dma_buf_get" },
	{ 0xe4ff11f5, "ib_query_port" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x694826cd, "ww_mutex_lock" },
	{ 0x37ad3223, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x103e02f4, "ib_qp_usecnt_inc" },
	{ 0xd5b15b61, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda2f0e90, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x2a4f2fb0, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xa272272d, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2df1160a, "rdma_create_user_ah" },
	{ 0x6fce1d80, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5373f1aa, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x680d94e0, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0xc6be264f, "__mmdrop" },
	{ 0xffa048bf, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xecc7cda4, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xeddb09ba, "ib_rdmacg_uncharge" },
	{ 0x690f980c, "igrab" },
	{ 0x647c97e, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9162cd59, "mmput" },
	{ 0x7e8cfb6c, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7164d875, "__mmap_lock_do_trace_released" },
	{ 0x466ac2a0, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xacd7fd10, "rdma_set_cq_moderation" },
	{ 0xa32ddc6f, "alloc_pages_noprof" },
	{ 0xb185d24d, "ib_dealloc_xrcd_user" },
	{ 0x3af3e8bc, "dma_buf_detach" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6ad90f5d, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x99af66b4, "ib_open_qp" },
	{ 0xa39e4f1, "ib_dealloc_pd_user" },
	{ 0xb2e89b8c, "rdma_get_gid_attr" },
	{ 0x4afc9361, "dma_unmap_sg_attrs" },
	{ 0x1171688f, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc2aeff2f, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x6d4ad975, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x136d6ffd, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x680280ca, "ib_attach_mcast" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x1c7c7169, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xa551db87, "ib_destroy_wq_user" },
	{ 0x9b71321f, "class_register" },
	{ 0x998e0921, "cdev_init" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x1a48ca47, "rdma_user_mmap_entry_put" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "3243478905972A759236EB9");
MODULE_INFO(rhelversion, "10.0");
