#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x69798ff8, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x7476e41b, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x4af172a9, "");
SYMBOL_CRC(rdma_res_to_id, 0x884a5a16, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x0da0ce25, "");
SYMBOL_CRC(rdma_create_user_id, 0x3dd5eca8, "");
SYMBOL_CRC(rdma_create_qp, 0x31dec321, "");
SYMBOL_CRC(rdma_destroy_qp, 0x50ec6af1, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x665ed2af, "");
SYMBOL_CRC(rdma_destroy_id, 0x99474e01, "");
SYMBOL_CRC(rdma_get_service_id, 0x014b87c9, "");
SYMBOL_CRC(rdma_read_gids, 0x76138962, "");
SYMBOL_CRC(rdma_set_service_type, 0xa4902858, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x926761c2, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x18692740, "");
SYMBOL_CRC(rdma_set_ib_path, 0xf5638292, "");
SYMBOL_CRC(rdma_resolve_route, 0xaef91b72, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x0b39125b, "");
SYMBOL_CRC(rdma_set_afonly, 0x955a8555, "");
SYMBOL_CRC(rdma_listen, 0xfbed2efa, "");
SYMBOL_CRC(rdma_resolve_addr, 0x1836c4d3, "");
SYMBOL_CRC(rdma_bind_addr, 0x31bf4756, "");
SYMBOL_CRC(rdma_connect_locked, 0xbcb0ef42, "");
SYMBOL_CRC(rdma_connect, 0xca507b04, "");
SYMBOL_CRC(rdma_connect_ece, 0x05a67d52, "");
SYMBOL_CRC(rdma_accept, 0xf2f3bc1f, "");
SYMBOL_CRC(rdma_accept_ece, 0x14bd91fe, "");
SYMBOL_CRC(rdma_lock_handler, 0x77304594, "");
SYMBOL_CRC(rdma_unlock_handler, 0xf77df7a7, "");
SYMBOL_CRC(rdma_notify, 0xa27badd9, "");
SYMBOL_CRC(rdma_reject, 0x21b43426, "");
SYMBOL_CRC(rdma_disconnect, 0xb75e6bca, "");
SYMBOL_CRC(rdma_join_multicast, 0x8fcd2a53, "");
SYMBOL_CRC(rdma_leave_multicast, 0xd0e1c9da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a2ec68d, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc39a8321, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3872b7da, "ib_unregister_client" },
	{ 0xe9ec80fc, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd019edb1, "ib_send_cm_sidr_rep" },
	{ 0x7019de24, "bpf_trace_run4" },
	{ 0x60afe307, "config_group_init" },
	{ 0x38283ce6, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x94c17554, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0x6d52eb05, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x65ee8673, "rdma_query_gid" },
	{ 0x6ffd4d45, "rt6_lookup" },
	{ 0x58bd534, "rdma_translate_ip" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0xcda979c6, "rdma_dev_access_netns" },
	{ 0xe158f2ca, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xa448d664, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xd682356c, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x88c2e6e5, "register_pernet_subsys" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0x6ba6c462, "ip_mc_inc_group" },
	{ 0x447c7d4, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa3ee9ab8, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xecea4be8, "iw_cm_connect" },
	{ 0xe977f657, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xfd4562a0, "rdma_addr_cancel" },
	{ 0xfd53e86, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8eeb0089, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x2a0b6c8e, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xfedc3bb9, "ib_sa_path_rec_get" },
	{ 0x65208cdd, "ib_create_cm_id" },
	{ 0x85a5bcdf, "__ip_mc_dec_group" },
	{ 0xfcbeaaa6, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0xc408d607, "ib_init_ah_from_mcmember" },
	{ 0x46b68f3d, "rdma_destroy_ah_attr" },
	{ 0x9cf295b9, "ib_set_client_data" },
	{ 0xeeef6b88, "init_net" },
	{ 0xec264c63, "ib_get_cached_pkey" },
	{ 0xa55364cc, "configfs_register_subsystem" },
	{ 0x3868f33d, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5e90791e, "rdma_put_gid_attr" },
	{ 0x50c45665, "config_group_init_type_name" },
	{ 0x24f1a78a, "dev_get_by_index" },
	{ 0xd16d481f, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe73251ca, "ib_send_cm_rep" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xce8593e1, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x6ded75fe, "bpf_trace_run1" },
	{ 0x2a4f2fb0, "ib_destroy_qp_user" },
	{ 0x10a3259e, "unregister_pernet_subsys" },
	{ 0x804e8356, "ib_cm_init_qp_attr" },
	{ 0xe817ef44, "_dev_warn" },
	{ 0x89f76eae, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xa272272d, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x12a7c270, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x57edeb06, "ib_get_cached_port_state" },
	{ 0x9326776, "ib_send_cm_mra" },
	{ 0xffa048bf, "rdma_restrack_del" },
	{ 0x14e8192c, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xdcaa6123, "bpf_trace_run3" },
	{ 0x6a4f67c1, "__put_net" },
	{ 0x79fe8eff, "rdma_restrack_parent_name" },
	{ 0x41487459, "iw_cm_accept" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x12f08038, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xefa6d904, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x9a10df0d, "iw_cm_init_qp_attr" },
	{ 0xf07279a3, "dst_release" },
	{ 0x423bb7f4, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x38dc16b1, "ib_send_cm_dreq" },
	{ 0xce8979db, "ib_send_cm_req" },
	{ 0x2cfc6448, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5436dae1, "ib_sa_join_multicast" },
	{ 0x6189e3d1, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb2e89b8c, "rdma_get_gid_attr" },
	{ 0xc2aeff2f, "rdma_restrack_new" },
	{ 0x46970e82, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x78c52285, "iw_cm_listen" },
	{ 0x4d762c68, "ib_send_cm_rej" },
	{ 0x79937e2c, "rdma_copy_src_l2_addr" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x58d27221, "rdma_resolve_ip" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "1E203F369D3F6C73370C3D2");
MODULE_INFO(rhelversion, "10.0");
