#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x0a5272be, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x1c15ddb8, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xa7769799, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x7088f122, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x3903f568, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x56eaec83, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x619abd8e, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xf373898d, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x6978a4ec, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x4dd8e72a, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xf4dd0973, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x54cc33a6, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x7f303188, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xfaf0c07a, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x88cc15b8, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xbabb09f3, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xec97fa72, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xab9a652a, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x34fb1140, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x3b2bea1a, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xa0935d5e, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xe125e98e, "");
SYMBOL_CRC(fcoe_transport_detach, 0x972f766e, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x5ffaf503, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x911dd6d7, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x788ffabd, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xf556cdf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d8c5a6d, "fc_rport_lookup" },
	{ 0x5d8ab11a, "dev_get_stats" },
	{ 0xfd8f256, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb7b66c3, "param_ops_uint" },
	{ 0x609809eb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb51735d7, "dev_set_name" },
	{ 0x24d51000, "consume_skb" },
	{ 0x40ccc64d, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x7af6edbb, "device_unregister" },
	{ 0x371b2be2, "skb_dequeue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0xd09ec8e9, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x818f4e5, "fc_disc_init" },
	{ 0x7bd08df2, "fc_rport_login" },
	{ 0xe929e89, "skb_queue_purge_reason" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xb5ea0e29, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef4b56fb, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xbacaa690, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6afa1eeb, "fc_lport_reset" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xacdf7cd9, "bus_unregister" },
	{ 0xeeef6b88, "init_net" },
	{ 0x788021c0, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x70226a8a, "fc_lport_set_local_id" },
	{ 0xb9c8b73c, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x1b9d222d, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x13c3e728, "device_register" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x71870e3b, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x1cab248c, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd5e2f063, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0xe7d501e7, "fc_fcp_init" },
	{ 0x79d9a5df, "__netdev_alloc_skb" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x93aa3da5, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x160d182b, "__folio_put" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc7ebc878, "dev_get_by_name" },
	{ 0x8e56d89, "skb_clone" },
	{ 0xdd516661, "fc_seq_els_rsp_send" },
	{ 0xa32ddc6f, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xb9911d57, "param_ops_int" },
	{ 0xf7a3b0e8, "fc_rport_create" },
	{ 0x59966aea, "_dev_printk" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x13f5d33d, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x42963388, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x520063af, "fc_linkup" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A31CCB59B8633A949523823");
MODULE_INFO(rhelversion, "10.0");
