#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x01f4bed2, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x9dea3a21, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x9b0180e0, "_gpl");
SYMBOL_CRC(fat_scan, 0xd541253e, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x48e9500f, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xdad31f62, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x0e73d492, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x28f89a39, "_gpl");
SYMBOL_CRC(fat_getattr, 0x0759f860, "_gpl");
SYMBOL_CRC(fat_setattr, 0xf3948196, "_gpl");
SYMBOL_CRC(fat_attach, 0xf9fb7183, "_gpl");
SYMBOL_CRC(fat_detach, 0x4c710d44, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x262e494d, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xee8f1a66, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x0254db02, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x7c9ae9c0, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xd7bc7cf4, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xd4f41217, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xa334a40d, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x2557e315, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x6c8c60ad, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe12d5b1b, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x497bf167, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x82dd86d6, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xa9cfebb1, "_gpl");
SYMBOL_CRC(fat_update_time, 0x880895a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1185cc1f, "filemap_fdatawrite" },
	{ 0xff7289c5, "generic_fillattr" },
	{ 0xe1542447, "setattr_prepare" },
	{ 0xa6672eaf, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7d1a4867, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbbacd33, "make_vfsgid" },
	{ 0x4fdb4203, "blk_start_plug" },
	{ 0xfbfee100, "clear_inode" },
	{ 0x3e5163d9, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa52ba40, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x26c07cf7, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa39fd26c, "mark_buffer_dirty" },
	{ 0x6a6294ee, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5f007cd3, "__find_get_block" },
	{ 0xe28deda6, "filemap_fdatawrite_range" },
	{ 0x5c624b62, "inode_needs_sync" },
	{ 0x3e18f150, "__blockdev_direct_IO" },
	{ 0xf0df454, "d_make_root" },
	{ 0xee091e00, "__bforget" },
	{ 0xbe951207, "sb_set_blocksize" },
	{ 0x5d7f49ef, "block_truncate_page" },
	{ 0x7639f124, "write_dirty_buffer" },
	{ 0x15e14189, "sync_filesystem" },
	{ 0x21af7fbf, "fsnotify" },
	{ 0x6603832d, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8d76e505, "from_vfsuid" },
	{ 0xf1013f9e, "inode_dio_wait" },
	{ 0xa931927e, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x96f2208c, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xba33139f, "iput" },
	{ 0x39259074, "fs_param_is_enum" },
	{ 0x8f0a97aa, "fs_param_is_s32" },
	{ 0x7141325f, "iter_file_splice_write" },
	{ 0x3b133ce6, "fs_param_is_bool" },
	{ 0x67331577, "generic_file_write_iter" },
	{ 0x2ad1786d, "kmem_cache_create" },
	{ 0x882737b8, "sync_inode_metadata" },
	{ 0x1c9f3a4b, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xaa61c876, "fs_param_is_u32" },
	{ 0x63b466e2, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x962a8b88, "block_invalidate_folio" },
	{ 0x5df212ec, "__breadahead" },
	{ 0xf8f70cb7, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x25c81b74, "load_nls" },
	{ 0xb4c82cce, "generic_cont_expand_simple" },
	{ 0xed42cba9, "truncate_inode_pages_final" },
	{ 0x85d166bf, "generic_file_mmap" },
	{ 0xf3e6642d, "sync_mapping_buffers" },
	{ 0xfd7070df, "ilookup" },
	{ 0x9031ff0b, "invalidate_inode_buffers" },
	{ 0xbed9a262, "blk_finish_plug" },
	{ 0xb7c2b830, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8c947c2b, "mnt_drop_write_file" },
	{ 0xddbb06d6, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xcaf1bc75, "inode_init_once" },
	{ 0x86d7d53, "compat_ptr_ioctl" },
	{ 0xdb83db1f, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x236f5cee, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x5f1cfe7d, "generic_file_read_iter" },
	{ 0x4ec702c6, "inode_maybe_inc_iversion" },
	{ 0xcb457df3, "truncate_pagecache" },
	{ 0x7ee8d958, "sync_dirty_buffer" },
	{ 0x700fb0e3, "setattr_copy" },
	{ 0xf0ebcbf6, "__wait_on_buffer" },
	{ 0xa1c6aa79, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xce1b284d, "kmem_cache_alloc_lru_noprof" },
	{ 0x97d12426, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x56860d3b, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x997e190d, "from_vfsgid" },
	{ 0x2497168d, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x27a38808, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4e2111d0, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x8b44b28, "block_dirty_folio" },
	{ 0xd57c6ea4, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2292d0c1, "__insert_inode_hash" },
	{ 0x2d6186b0, "buffer_migrate_folio" },
	{ 0xffbcdfad, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa7e51e6d, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0xf3c28b00, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa658fc59, "generic_encode_ino32_fh" },
	{ 0x2b8afa3a, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x690f980c, "igrab" },
	{ 0x98693c11, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6aa9f484, "mpage_readahead" },
	{ 0xe4b32799, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x13405381, "init_user_ns" },
	{ 0x183dfed2, "seq_write" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x43279323, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x3ab7d988, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x9e371be0, "generic_fh_to_parent" },
	{ 0x25e5115b, "__fs_parse" },
	{ 0x9f677840, "filemap_splice_read" },
	{ 0xfd3cf4c6, "from_kuid_munged" },
	{ 0x4c3bf728, "__generic_file_fsync" },
	{ 0x569a4f7e, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa3a88a2a, "__mark_inode_dirty" },
	{ 0x3cc9ad4a, "generic_file_llseek" },
	{ 0xe27ab1c5, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xf2d21929, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xd4492755, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x27ab99c2, "fs_param_is_uid" },
	{ 0x4fd90490, "kmem_cache_destroy" },
	{ 0x385fa051, "blkdev_issue_discard" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "709335D3059913BE6DDFB0C");
MODULE_INFO(rhelversion, "10.0");
