#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc246ac3e, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x231bd40a, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x246d5371, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xaeb4b286, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xd4c74733, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xd0f75a60, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x39ad1a38, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xd6eb02f4, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xba6519d5, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xbc84f694, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x9785e5a4, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xacd5ad9b, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x83ecdc72, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x3c46e617, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xfb36adbd, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x497ea7b0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x4420a1cf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xf5e0da12, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7090b5bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x6f3e39f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xcb0b232b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xa2747c11, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x891935f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x2f07c81e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x3f68fb2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x40c77653, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xe960f394, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xd1562133, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x4d006b0e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xee3d0b39, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xf4148dc4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x85905892, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xfb8c5aad, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xbff8800b, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x203bd127, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x98a48639, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x99be9411, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x70196ab0, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x696a3f83, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xa778c0f4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xa109875c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xd97d00c9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x16bf4316, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xcc6b04eb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xa96db8d7, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x73e8c7d4, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x7e8e0f61, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xa9a82962, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xa602d794, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xcc3e05a7, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x0c17e78e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xdc2687cf, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x9981e702, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x832dae5e, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x120d3dc3, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x2e1497db, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x4a12c0c4, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x939c84f9, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x9f6276d9, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xf4720b26, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x6b508b89, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xf6f50dca, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xff49f5d0, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xcb910b79, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xbf7fc65e, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xf1284c70, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x0fdb8e8b, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x3ca95af5, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x9953ff38, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x4a9028f8, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x203c2ee8, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x8825c567, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x903fa37b, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x78e45f3b, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xccfd4d1e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x39a239a2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x6d58b379, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x89300818, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xc5d12278, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x85cc93de, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x49ee8a5a, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xe277525b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74f4f0ed, "rpc_put_task" },
	{ 0x6038679b, "svc_generic_rpcbind_set" },
	{ 0x94c8eab9, "nfs_clone_server" },
	{ 0x23302f49, "nfs_access_add_cache" },
	{ 0x1185cc1f, "filemap_fdatawrite" },
	{ 0x633b95aa, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xdc866073, "nfs_server_remove_lists" },
	{ 0x78d23df, "shrinker_alloc" },
	{ 0xbd5b741e, "nfs42_ssc_unregister" },
	{ 0xff0222b8, "generic_listxattr" },
	{ 0xec10fa5a, "try_module_get" },
	{ 0xdbb22f8a, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfd8f256, "vmemmap" },
	{ 0xdb0ef7c2, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfbfee100, "clear_inode" },
	{ 0xe8b0e9a2, "inode_to_bdi" },
	{ 0x7019de24, "bpf_trace_run4" },
	{ 0x916701a0, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xeb7b66c3, "param_ops_uint" },
	{ 0xc263f799, "user_revoke" },
	{ 0xb832de5e, "d_exact_alias" },
	{ 0x12a7aa4d, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x7eebab10, "nfs_mark_client_ready" },
	{ 0xfef72015, "rpc_clnt_probe_trunked_xprts" },
	{ 0x233b1b8, "nfs_pageio_reset_read_mds" },
	{ 0xce93e48b, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xaa4bd350, "rpc_shutdown_client" },
	{ 0xdaec728b, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xea0c5db7, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xd53ddb49, "nfs_free_inode" },
	{ 0x6a9e611, "nfs_access_zap_cache" },
	{ 0x81e39a57, "nfs_sb_deactive" },
	{ 0xa1ee04ff, "nfs_wb_all" },
	{ 0xf05b9275, "__break_lease" },
	{ 0x7ab61c6c, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x89bb1dad, "svc_recv" },
	{ 0xd63498d2, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xe1279c8, "xdr_inline_decode" },
	{ 0x32ef033c, "nfs_pageio_init_read" },
	{ 0xc334759a, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1eac4cfc, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1ff9341d, "nfs_init_commit" },
	{ 0xb038c5cb, "nfs_commitdata_release" },
	{ 0x2166a00a, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe51165a8, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x75a67d71, "__trace_trigger_soft_disabled" },
	{ 0x6f575225, "nfs_mknod" },
	{ 0xf98f8729, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x3ae6893d, "nfs4_label_alloc" },
	{ 0x2be49fe0, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x1f5d6081, "trace_event_printf" },
	{ 0x1f820016, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x540946fe, "nfs_lock" },
	{ 0x46c08d3f, "unregister_key_type" },
	{ 0xbe3eb8a2, "nfs_client_init_is_complete" },
	{ 0x3b2fe028, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe074749, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x918a00e, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xe3fa1b1, "ihold" },
	{ 0xf00f6a9a, "truncate_pagecache_range" },
	{ 0xd1b0c3c8, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xa879cd9e, "invalidate_inode_pages2_range" },
	{ 0x8cc9c7de, "nfs_post_op_update_inode" },
	{ 0xba1d4283, "svc_exit_thread" },
	{ 0xba33139f, "iput" },
	{ 0xfadaf248, "xdr_set_pagelen" },
	{ 0x74621362, "nfs_pgio_header_free" },
	{ 0xeb382763, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x36681aef, "logfc" },
	{ 0x3f3733d0, "nfs_pgio_header_alloc" },
	{ 0x7141325f, "iter_file_splice_write" },
	{ 0x8029a1c3, "rpc_pton" },
	{ 0xc87f352d, "nfs_sb_active" },
	{ 0x825bbdc2, "mod_node_page_state" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xbd87e91b, "rpc_wake_up_queued_task" },
	{ 0xd6d51a6d, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x22337d03, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x3029be15, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe3842a8, "_copy_from_pages" },
	{ 0xf086d5f0, "__module_get" },
	{ 0x2ad1786d, "kmem_cache_create" },
	{ 0xf25ee8b8, "rpc_task_release_transport" },
	{ 0x2570cac8, "xdr_page_pos" },
	{ 0x2dfd5e23, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x3e13270b, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3f393fde, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x34741b22, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x52935761, "register_key_type" },
	{ 0x7848db4d, "rpc_sleep_on" },
	{ 0x755ffcfd, "rpc_run_task" },
	{ 0x94f36202, "nfs_pageio_resend" },
	{ 0x5a1cc8f3, "keyring_alloc" },
	{ 0xbab4ccb5, "vfs_setpos" },
	{ 0xf34b03cb, "nfs_create" },
	{ 0x4367d82, "complete_request_key" },
	{ 0x2e6b57dd, "__put_cred" },
	{ 0x2195c2e4, "nfs_update_delegated_mtime" },
	{ 0xea4ff3db, "nfs_statfs" },
	{ 0xd4d9924b, "wake_up_process" },
	{ 0xb17070ed, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x88250f6, "splice_file_range" },
	{ 0x7b199e01, "rpc_max_bc_payload" },
	{ 0x566881c7, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xa9757f2d, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x6bfeca48, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xeb457ea2, "nfs_mkdir" },
	{ 0x53a14f5, "nfs_revalidate_inode" },
	{ 0x2eb37026, "inode_newsize_ok" },
	{ 0xa624fef1, "nfs_file_mmap" },
	{ 0xf9d8abce, "nfs_get_lock_context" },
	{ 0xe12ddddd, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x9aaa4ea0, "nfs_set_cache_invalid" },
	{ 0xe5d9924f, "rpc_release_client" },
	{ 0x6e7dcb24, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd8e5ff74, "xdr_enter_page" },
	{ 0xfc39ee0, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xeeb6a4d7, "unregister_sysctl_table" },
	{ 0x30b57db7, "nfs_generic_pgio" },
	{ 0xe2e19688, "make_kuid" },
	{ 0xed42cba9, "truncate_inode_pages_final" },
	{ 0x51ded039, "generic_setlease" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xcbccb5d1, "xprt_destroy_backchannel" },
	{ 0xee019113, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x34fe0906, "nfs_scan_commit_list" },
	{ 0x73e00352, "xdr_stream_decode_string_dup" },
	{ 0x2f3fcfb1, "nfs_commit_inode" },
	{ 0xaec5697e, "shrinker_register" },
	{ 0xf76272c5, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x2e8dd5db, "rpc_destroy_pipe_data" },
	{ 0xfb755cd0, "nfs_get_client" },
	{ 0x9ef809f2, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3ceb9fad, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa95752e0, "nfs_atomic_open" },
	{ 0xf45ecb2a, "rpc_pipe_generic_upcall" },
	{ 0x1f5a3cfd, "nfs_file_fsync" },
	{ 0x5302469d, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x952e3f69, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe34f189f, "nfs_put_lock_context" },
	{ 0x18e8fb0f, "nfs_rename" },
	{ 0x2075c48c, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8c1b0a2, "nfs_sysfs_link_rpc_client" },
	{ 0x5493ff7e, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x72a348bd, "nfs_show_options" },
	{ 0xfba43fa7, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7798eb78, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x432d66cc, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x832a6868, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9facdba5, "perf_trace_run_bpf_submit" },
	{ 0x1118d37, "nfs_clear_verifier_delegated" },
	{ 0x566e8393, "nfs_sysfs_add_server" },
	{ 0x1c4a6867, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x91890b59, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x7bcf9585, "nfs_do_submount" },
	{ 0x21362ef, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xf590451c, "request_key_with_auxdata" },
	{ 0xced4b985, "rpc_clone_client_set_auth" },
	{ 0x3aea1485, "rpc_clone_client" },
	{ 0x6286d4b0, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x63017eba, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xc0c72451, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0x32bccc44, "user_describe" },
	{ 0x894368c2, "put_fs_context" },
	{ 0xa891bfd6, "nfs_retry_commit" },
	{ 0x76d4cf6b, "nfs4_dentry_operations" },
	{ 0x6ebab2ab, "__module_put_and_kthread_exit" },
	{ 0x535084c0, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x73e3649e, "nfs_client_for_each_server" },
	{ 0x9d219661, "nfs_clear_inode" },
	{ 0xe6479bca, "rpc_sleep_on_priority" },
	{ 0xc7313581, "nfs_invalidate_atime" },
	{ 0x1190c4d6, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x563bd770, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x72bd1bb3, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb2b9a4a4, "nfs_pageio_reset_write_mds" },
	{ 0x97d12426, "kmem_cache_free" },
	{ 0x8e0c4e4f, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8f48a5a1, "xdr_stream_subsegment" },
	{ 0x8973a188, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xbc931d9b, "nfs_fscache_open_file" },
	{ 0xdd08a365, "from_kgid" },
	{ 0xa3deb831, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x71d086d4, "nfs_write_inode" },
	{ 0xa3a3b39d, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x9b599f00, "rpc_wake_up_first" },
	{ 0x250bd1e5, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6c953fed, "vfs_parse_fs_param" },
	{ 0x7f9276a0, "nfs_path" },
	{ 0xfd6b0946, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9fd6f720, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3ab8fc46, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb25dec71, "rpc_sleep_on_timeout" },
	{ 0xecb475b7, "list_lru_count_one" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4a3bca7f, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2461410c, "rpc_call_start" },
	{ 0x8cf026a, "xprt_setup_backchannel" },
	{ 0x6ded75fe, "bpf_trace_run1" },
	{ 0x3c2e4450, "svc_create" },
	{ 0x96b8d71c, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xada6e11e, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x73e5e10, "rpc_call_sync" },
	{ 0xf632fa61, "from_kuid" },
	{ 0xd993ccea, "rpc_put_task_async" },
	{ 0xdf54d6ef, "rpc_prepare_reply_pages" },
	{ 0x702fe158, "rpc_queue_upcall" },
	{ 0x7811b689, "nfs_free_server" },
	{ 0xc975033a, "fc_mount" },
	{ 0x8210a9db, "register_sysctl_sz" },
	{ 0xb256f92, "nfs_setattr" },
	{ 0x6197f0a5, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x33df5a4f, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe5838617, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xd57aa027, "rpc_delay" },
	{ 0xd4b6af87, "nfs_flock" },
	{ 0xdc7224c3, "__list_lru_init" },
	{ 0xffbcdfad, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x8a753e4a, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xf109eaef, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x78b7adef, "rpc_exit" },
	{ 0xb5fb0b54, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xdc2fd1fe, "rpc_remove_pipe_dir_object" },
	{ 0x5f837ac8, "nfs_may_open" },
	{ 0xa7e51e6d, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xa0d82762, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xabf41020, "xdr_reserve_space" },
	{ 0x7b7b6c82, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0xfed3f251, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x471ee277, "nfs_rmdir" },
	{ 0xdcaa6123, "bpf_trace_run3" },
	{ 0xbf701964, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x309589e0, "nfs_filemap_write_and_wait_range" },
	{ 0x8b657110, "rpc_mkpipe_dentry" },
	{ 0x530dcfa7, "alloc_file_pseudo" },
	{ 0x4cf2dedf, "rpc_mkpipe_data" },
	{ 0xcecee82e, "rpc_add_pipe_dir_object" },
	{ 0x690f980c, "igrab" },
	{ 0xe314a929, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa0bff8af, "nfs_async_iocounter_wait" },
	{ 0x2f6cf922, "nfs_file_read" },
	{ 0xdf40d5b7, "trace_event_buffer_reserve" },
	{ 0xeff233f6, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe4b32799, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xbea11612, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f3d8f06, "nfs_setattr_update_inode" },
	{ 0xdafd4577, "nfs_instantiate" },
	{ 0x13405381, "init_user_ns" },
	{ 0x55302dc0, "rpc_uaddr2sockaddr" },
	{ 0x68d8ac74, "user_read" },
	{ 0x87ced9fd, "rpc_restart_call" },
	{ 0xb374330c, "request_key_tag" },
	{ 0x723b4c43, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x9cf20776, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xf09948c5, "svc_xprt_destroy_all" },
	{ 0xc1bced53, "generic_key_instantiate" },
	{ 0xdb41d041, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xcddf7881, "nfs_link" },
	{ 0x160d182b, "__folio_put" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb36f32cf, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xf1aab672, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf38c8fb7, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc085403c, "xdr_stream_move_subsegment" },
	{ 0xbac260c8, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe7f3a270, "nfs_post_op_update_inode_force_wcc" },
	{ 0x85d267bb, "nfs_pgheader_init" },
	{ 0x2398d9ed, "put_nfs_open_context" },
	{ 0x4893e2d9, "nfs_show_path" },
	{ 0x5d1cdaa8, "nfs_show_devname" },
	{ 0x25261d24, "nfs_permission" },
	{ 0x5a7641b4, "nfs_initiate_commit" },
	{ 0x21caa48, "truncate_inode_pages_range" },
	{ 0x33fa2c72, "__put_user_ns" },
	{ 0xa32ddc6f, "alloc_pages_noprof" },
	{ 0xbd53d276, "cred_fscmp" },
	{ 0xded54c5, "rpc_unlink" },
	{ 0xf812da60, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1c851bea, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1f387d74, "node_data" },
	{ 0xeb51d12a, "nfs_probe_server" },
	{ 0xbde08f11, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xe4910bd4, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x70c53e1, "rpc_clnt_test_and_add_xprt" },
	{ 0x90787141, "file_ra_state_init" },
	{ 0xea5971fd, "nfs_force_lookup_revalidate" },
	{ 0xe195fa4d, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe3edddcb, "rpc_clnt_add_xprt" },
	{ 0x1e96e444, "dget_parent" },
	{ 0xfd3cf4c6, "from_kuid_munged" },
	{ 0x7faef376, "prepare_kernel_cred" },
	{ 0x7dd3d724, "nfs_alloc_server" },
	{ 0xcf072db7, "rpc_call_async" },
	{ 0x36f7140a, "security_dentry_init_security" },
	{ 0xbfac8063, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x6a8c6ac4, "nfs_server_insert_lists" },
	{ 0xf5405075, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x3e1e760e, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb575f27d, "rpc_init_pipe_dir_object" },
	{ 0xb9fe40dc, "bpf_trace_run7" },
	{ 0x793e700b, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xaf9587be, "nfs_init_server_rpcclient" },
	{ 0xa3a88a2a, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x8df1cc34, "rpc_set_connect_timeout" },
	{ 0xcb8f9883, "rpcauth_create" },
	{ 0x56129f26, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x19ebec00, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xbfdbbdc7, "svc_xprt_create" },
	{ 0x25656e09, "nfs42_ssc_register" },
	{ 0x2d9b7880, "rpc_wait_for_completion_task" },
	{ 0x80ad35e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5c0ebde7, "rpc_num_bc_slots" },
	{ 0x5f4614ed, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0xbd7d82de, "security_inode_listsecurity" },
	{ 0x81032556, "nfs_fhget" },
	{ 0xd61697e1, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x96d005de, "locks_copy_lock" },
	{ 0x4fd90490, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x3ee95760, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14feacc9, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "F5D2C249B360B43ABACB603");
MODULE_INFO(rhelversion, "10.0");
