#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x9caaed43, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x88b80630, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x78a5f996, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x10db6ed6, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x6311ecdf, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xb14c9ea3, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x4c16b8cb, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x9f6ac8d0, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x85fb5bf2, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x95b636f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dcaac60, "dst_cache_set_ip4" },
	{ 0xe942b1e7, "kernel_bind" },
	{ 0xe5cd969b, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xd36e9885, "netdev_warn" },
	{ 0x516eadf2, "udp_tunnel_nic_ops" },
	{ 0x10fadbca, "ip_route_output_flow" },
	{ 0x14b49d7e, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x9c52df83, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86e4c07b, "iptunnel_xmit" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbf4d9d00, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbce90e53, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xfdd5d348, "dst_cache_get_ip4" },
	{ 0x1a036525, "sock_create_kern" },
	{ 0x4d2a951, "call_netdevice_notifiers" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe82b4bd, "metadata_dst_alloc" },
	{ 0xf07279a3, "dst_release" },
	{ 0x32e6b528, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3e04a2a7, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBECC0F937618CAD7A320FF");
MODULE_INFO(rhelversion, "10.0");
