#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x2f34b382, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x699f44c0, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xdc2a5d7d, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xcc00946f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xe4f35d22, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xa9d7bef6, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x4bfa98d4, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x0eabf8d6, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x133f029d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x05edd6ee, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x48c9353a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x88c2e6e5, "register_pernet_subsys" },
	{ 0x10a3259e, "unregister_pernet_subsys" },
	{ 0xd73b5acd, "nf_register_net_hooks" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x183dfed2, "seq_write" },
	{ 0x952e5212, "nf_unregister_net_hooks" },
	{ 0xd63ab464, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x6d5a6261, "__nf_ip6_route" },
	{ 0x8158dc8d, "sk_skb_reason_drop" },
	{ 0x471a36e3, "xfrm_lookup" },
	{ 0x7908bd1c, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf63267d4, "nf_ct_tmpl_alloc" },
	{ 0x11946bc0, "nf_ct_ext_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xa4f84b6, "proc_create_net_data" },
	{ 0x6ab65875, "nf_ct_tmpl_free" },
	{ 0xf8bf06f9, "skb_ensure_writable" },
	{ 0xf1898390, "inet_proto_csum_replace4" },
	{ 0x7d7548f6, "skb_copy_bits" },
	{ 0x48ba4035, "ip_route_me_harder" },
	{ 0x117420af, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5747bc6f, "__alloc_skb" },
	{ 0x609809eb, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0x8a9a3668, "ipv6_skip_exthdr" },
	{ 0x2aa425ed, "nf_ct_seqadj_init" },
	{ 0x24d51000, "consume_skb" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "A65D49E9DC03B412EB9E4B5");
MODULE_INFO(rhelversion, "10.0");
