#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1784e0fe, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4c627d5e, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd5b35d9d, "nf_flow_table_free" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x5302469d, "module_put" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9e1a247c, "tcf_register_action" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x1968dfba, "tcf_unregister_action" },
	{ 0x34b0adf6, "kmalloc_caches" },
	{ 0x2d298d58, "__kmalloc_cache_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x47509e1c, "nf_flow_table_init" },
	{ 0xf086d5f0, "__module_get" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xd056ec96, "ipv6_find_hdr" },
	{ 0x6c03da81, "nf_ct_handle_fragments" },
	{ 0xa2d4cba5, "__pskb_pull_tail" },
	{ 0xaba9d3ac, "nf_conntrack_helper_put" },
	{ 0xdeb6503b, "nf_connlabels_put" },
	{ 0x7fc8bc2e, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xe798236d, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xbdf1c7b7, "skb_trim" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x279e3633, "nf_connlabels_get" },
	{ 0xf63267d4, "nf_ct_tmpl_alloc" },
	{ 0xe8407cf1, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4782315a, "tcf_idr_check_alloc" },
	{ 0x444b211f, "tcf_action_check_ctrlact" },
	{ 0x2431515e, "tcf_chain_put_by_act" },
	{ 0xcb8e9da0, "tcf_idr_release" },
	{ 0xada0ea29, "tcf_idr_create_from_flags" },
	{ 0x1dfdb31c, "tcf_action_set_ctrlact" },
	{ 0x100ca479, "tcf_idr_cleanup" },
	{ 0x5030479d, "flow_offload_lookup" },
	{ 0xeeef6b88, "init_net" },
	{ 0xa1a74f03, "flow_offload_refresh" },
	{ 0xb04993c9, "nf_ct_acct_add" },
	{ 0xf63e3ff1, "flow_offload_teardown" },
	{ 0xd47ab441, "flow_offload_alloc" },
	{ 0xbd5a9ec5, "flow_offload_add" },
	{ 0x76da366e, "flow_offload_free" },
	{ 0x2c52bfe7, "skb_pull_rcsum" },
	{ 0x7b5e3949, "nf_ct_skb_network_trim" },
	{ 0xdfcb1131, "nf_conntrack_in" },
	{ 0x7d7548f6, "skb_copy_bits" },
	{ 0x8d72cad9, "skb_push" },
	{ 0x37436410, "nf_ct_deliver_cached_events" },
	{ 0x91d9eb72, "nf_ct_nat" },
	{ 0x16a27169, "nf_ct_helper" },
	{ 0xc4a039cd, "nf_connlabels_replace" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc59f05b8, "nf_ct_delete" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x11946bc0, "nf_ct_ext_add" },
	{ 0x38d332db, "__nf_ct_try_assign_helper" },
	{ 0x9ee25fa1, "__nf_conntrack_confirm" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nf_flow_table,nf_conntrack,nf_nat");


MODULE_INFO(srcversion, "2596D7257508CC5F76FB871");
MODULE_INFO(rhelversion, "10.0");
